PeopleForce
Employees

Update leave balance employee

PUT
/api/public/v3/employees/{id}/update_leave_balance

Path Parameters

id*integer
Formatint64

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/public/v3/employees/0/update_leave_balance" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'leave_type_id=string&balance=string'
{  "data": {    "id": 0,    "active": true,    "access": true,    "employee_number": "string",    "full_name": "string",    "first_name": "string",    "middle_name": "string",    "last_name": "string",    "email": "string",    "personal_email": "string",    "mobile_number": "string",    "work_phone_number": "string",    "date_of_birth": "2019-08-24",    "gender": "string",    "gender_id": 0,    "avatar_url": "string",    "probation_ends_on": "2019-08-24",    "hired_on": "2019-08-24",    "slack_username": "string",    "twitter_username": "string",    "facebook_url": "string",    "linkedin_url": "string",    "position": {      "id": 0,      "name": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "job_level": {      "id": 0,      "name": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "location": {      "id": 0,      "name": "string",      "address": "string",      "time_zone": "string",      "holiday_policy_id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "employment_type": {      "id": 0,      "name": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "division": {      "id": 0,      "name": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "department": {      "id": 0,      "name": "string",      "parent_id": 0,      "manager_id": 0,      "department_level": {        "id": 0,        "name": "string",        "hex_color": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "ancestors": [        {          "id": 0,          "name": "string",          "department_level": {            "id": 0,            "name": "string",            "hex_color": "string"          }        }      ],      "fields": {        "property1": {          "name": "string",          "value": "string"        },        "property2": {          "name": "string",          "value": "string"        }      }    },    "reporting_to": {      "id": 0,      "first_name": "string",      "last_name": "string",      "email": "string"    },    "job_profile": {      "id": 0,      "name": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "job_group": {        "id": 0,        "name": "string"      },      "job_level": {        "id": 0,        "name": "string"      },      "fields": {        "property1": {          "name": "string",          "value": "string"        },        "property2": {          "name": "string",          "value": "string"        }      }    },    "direct_reports": [      {        "id": 0,        "first_name": "string",        "last_name": "string",        "email": "string"      }    ],    "custom_fields": [      {        "internal_name": "string",        "uuid": "string",        "name": "string",        "group": "string",        "value": "string"      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}